import { AxiosInstance, AxiosRequestConfig } from 'axios';
import Iapi from './interfaces/base';
export interface IaxiosRequestConfig extends AxiosRequestConfig {
    secrect: string;
    appId: string;
}
export declare enum ContentType {
    form = "application/x-www-form-urlencoded",
    json = "application/json; charset=utf-8",
    multipart = "multipart/form-data"
}
/**
 * 网络请求参数
 */
export interface RequestParams {
    [key: string]: any;
}
export interface Iobj {
    [key: string]: any;
}
declare class HBBasicClient {
    readonly deptTag: {
        Function: {
            CLINICAL: {
                id: string;
                name: string;
            };
            MEDICAL_TECHNOLOGY: {
                id: string;
                name: string;
            };
            TREATMENT: {
                id: string;
                name: string;
            };
            FINANCE: {
                id: string;
                name: string;
            };
            LOGISTICS: {
                id: string;
                name: string;
            };
            ADMINISTRATION: {
                id: string;
                name: string;
            };
            MANAGE: {
                id: string;
                name: string;
            };
            MEDICAL_AUXILIARY: {
                id: string;
                name: string;
            };
        };
        OpFlag: {
            OP: {
                id: string;
                name: string;
            };
            IP: {
                id: string;
                name: string;
            };
            ER: {
                id: string;
                name: string;
            };
            PE: {
                id: string;
                name: string;
            };
        };
        MedicalSystem: {
            WM: {
                id: string;
                name: string;
            };
            TCM: {
                id: string;
                name: string;
            };
        };
        Treat: {
            OR: {
                id: string;
                name: string;
            };
            NARCOTISM: {
                id: string;
                name: string;
            };
            DSA: {
                id: string;
                name: string;
            };
            ICU: {
                id: string;
                name: string;
            };
            HEMODIALYSIS: {
                id: string;
                /**
                 * 网络请求参数
                 */
                name: string;
            };
            CHEMOTHERAPY: {
                id: string;
                name: string;
            };
            RADIOTHERAPY: {
                id: string;
                name: string;
            };
            HPO: {
                id: string;
                name: string;
            };
            TCM: {
                id: string;
                name: string;
            };
            REHABILITATION: {
                id: string;
                name: string;
            };
        };
        Storeroom: {
            DRUG_ROOM: {
                id: string;
                name: string;
            };
            DRUG_LIBRARY: {
                id: string;
                name: string;
            };
            MATERIAL_ROOM: {
                id: string;
                name: string;
            };
            MATERIAL_LIBRARY: {
                id: string;
                name: string;
            };
        };
        Other: {
            CHARGE: {
                id: string;
                name: string;
            };
            METACHYSIS: {
                id: string;
                name: string;
            };
            RECORD_ROOM: {
                id: string;
                name: string;
            };
            MEDICAL: {
                id: string;
                name: string;
            };
            QUALITY_CONTROL: {
                id: string;
                name: string;
            };
        };
    };
    httpClient: AxiosInstance;
    constructor(config: IaxiosRequestConfig);
    private $post;
    private getApis;
    readonly api: Iapi;
}
export default HBBasicClient;
